/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a252b2cb72531cb00ecd4d4db37a5a473",
"IOStream_8cc.html",
"LogTools_8h.html#a382aa03e51aa47e0c8d560fe03723269",
"MetaLinkParser_8cc_source.html",
"PluginServices_8cc.html",
"RepoException_8cc.html#aa4251e03846303f80e4a65eb61f6a93f",
"RpmDb_8cc.html#ab7a2b970bfc8729b365e8a16e67d5dd2",
"SrcPackage_8h.html#ga90414cc1ba5acfba3a750f32e53099d5",
"TargetImpl_8commitFindFileConflicts_8cc.html#a30f3dec74954d88c89238939210685e9",
"ZConfig_8h_source.html",
"classzypp_1_1ByteCount.html#a840869184a16a4c139051bdc2db16b55",
"classzypp_1_1CheckSum.html#ab94334792e30ce9b9f3405d9f1239b5f",
"classzypp_1_1Digest.html#ac92ffcdc657105bb332bc958819122f0",
"classzypp_1_1HistoryLog.html#a9f88c2d230e47fbe8b4b368e6ad53acd",
"classzypp_1_1InputStream.html#a99580fbd827096016fbacc0f71d9116f",
"classzypp_1_1Match.html#adc26ba6f0d7b5ce8e78cd5923303a052",
"classzypp_1_1PluginExecutor_1_1Impl.html#abcdccdeca942f8f341d5670185788ec1",
"classzypp_1_1PoolQueryResult.html#a375cae6e143ea5523c66f4e905ecb584",
"classzypp_1_1PublicSubkeyData.html#a4b794b7796ac3c1fee9e8dd7995e645a",
"classzypp_1_1Repository.html#a85d00f37ad6abddd6545ca3c43fe2aa0",
"classzypp_1_1ResStatus.html#a1ce02786edc241ee47f6a2280ff0f4da",
"classzypp_1_1ResolverProblem.html#adc863a99a498cb9fd65483c6613817ff",
"classzypp_1_1Url.html#a663a947e044986aae7412c27ab8713dd",
"classzypp_1_1ZConfig_1_1Impl.html#ac3b243fc47c94fc7817eb1bc0d8e1a3a",
"classzypp_1_1base_1_1Flags.html#ab1f4d3ef2b62cb4b9c4b00657fb75854",
"classzypp_1_1detail_1_1fXstream.html#a50142614cdd7c8371a856d5853c78b0b",
"classzypp_1_1filesystem_1_1StatMode.html#a8679db3728cb56d9816d5e08e53703de",
"classzypp_1_1media_1_1MediaBadFilenameException.html#accdfdd711c428e91b6aee7e102624f8a",
"classzypp_1_1media_1_1MediaHandler.html#a7038c484713c8c7258b8d5daa465a91b",
"classzypp_1_1media_1_1MediaUnauthorizedException.html#a517394c0a363a043f11421b3bc995c70",
"classzypp_1_1media_1_1multifetchworker.html#a98f535b715ee46de4147bb48b5d72a7c",
"classzypp_1_1parser_1_1susetags_1_1ContentFileReader.html#aa7089338762ec1f5b3268400a1341ba1",
"classzypp_1_1repo_1_1RepoUnknownTypeException.html#af5e9c7c99d0ba9c1e984a4502df851c7",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#ab3ce73f30fb1404da52d1c4c336955e8",
"classzypp_1_1sat_1_1SolvAttr.html#ae990d89973468767c597b9885a7ea8e4",
"classzypp_1_1sat_1_1Transaction_1_1Step.html#ab4e68687263d4fa58636aff76373ae74",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemUpdate.html#a4b8766ae49e7bfc02de6bd5c6c3873f1",
"classzypp_1_1target_1_1RpmRemovePackageReceiver.html#a690917b417a9e02c9101d71c6b3740be",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#a750e708f795c78be1c64667b3af403e2",
"classzypp_1_1ui_1_1Selectable.html#ae63adc58a853d9f790daba0829b9ce10",
"classzypp_1_1xml_1_1ParseDef_1_1Impl.html#a73f0f54c61444f845eda26df5b780d5d",
"globals_d.html",
"index.html#otherfunc",
"pool_2PoolImpl_8h_source.html",
"structzypp_1_1Dep.html#a8c0f4af87c52e6b7c640839b989a289a",
"structzypp_1_1KeyRing_1_1Impl.html#ad763cced7edab07e312bf73312511d56",
"structzypp_1_1PurgeKernels_1_1Impl.html#a67426fe5c067701563ba2df32f702ecc",
"structzypp_1_1RepoStatus_1_1Impl.html#a80643a3eae97c8caa278a47afcad7f25",
"structzypp_1_1base_1_1SetTracker.html#ab4df698a548cf902c848175787e22c9c",
"structzypp_1_1functor_1_1functor__detail_1_1FunctorRef1.html#a062214c6bb046d6a49e74e51bcf47908",
"structzypp_1_1misc_1_1testcase_1_1TestcaseSetupImpl.html#a0c67d5c9182c1d41670b8b99e67bbe0f",
"structzypp_1_1repo_1_1RepoType.html#a881cb7d3aebc7e547f52dce99bb04b11",
"structzypp_1_1sat_1_1Transaction_1_1Impl_1_1PostMortem.html#a10c9835a77fa2904cc06a506ce164bae",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a98f0aef2d4633a6b4e0311d8ca1347a0",
"zypp-services.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';